<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list.name }}</h1>
            <a href="{% url 'todo_update' todo_list.id %}">Edit</a>
            <a href="{% url 'delete_todo' todo_list.id %}">Delete</a>
            <h2>Tasks</h2>
        </div>
        <table>
            <thead>
              <tr>
                <th>Task</th>
                <th>Due Date</th>
              </tr>
            </thead>
            <tbody>
                {% for todo_item in todo_items %}
                  <tr>
                    <td><a href="{% url 'edit_item' todo_item.id %} ">{{ todo_item.task }}</a></td>
                    <td>{{ todo_item.due_date|date:"F j, Y" }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
